gnutls_privkey_import_x509_raw(3)

NAME
gnutls_privkey_import_x509_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_import_x509_raw(gnutls_privkey_t pkey, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, const char * password, unsigned int flags);

ARGUMENTS

gnutls_privkey_t pkey
    The private key

const gnutls_datum_t * data
    The private key data to be imported

gnutls_x509_crt_fmt_t format
    The format of the private key

const char * password
    A password (optional)

unsigned int flags
    an ORed sequence of gnutls_pkcs_encrypt_flags_t

DESCRIPTION
This function will import the given private key to the abstract gnutls_privkey_t type. The supported formats are basic unencrypted key, PKCS8, PKCS12, and the openssl format.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/